Subject: Re: BCM4313 & brcmsmac & 3.12: only semi-working?

From: Michael Tokarev <[email-masked]>
Date: Wed, 19 Nov 2014 22:58:34 +0300

19.11.2014 20:54, Arend van Spriel wrote:
[]
> In our last email exchange I got the impression you switch to Intel board and did not want to keep replacing cards for testing.

I especially wrote that I have several days to try things out and
if you'll be quick it will be possible for me to test things.
You never replied before now (which is some more months later).

>   Nice to hear you have an alternative setup for this and I assume are willing to do some testing.
> 
> I submitted two patches upstream and additionally I have attached two other that are still under review. Could you try these patches and sent me the content of the two debugfs files 'macstat' and 'hardware' after a stall has occurred.

You didn't tell which kernel it is based on.  So I tried it on 3.16,
ofcourse the patches didn't apply so I hand-edited the debug
printf in drivers/net/wireless/brcm80211/brcmsmac/debug.c (in
3.16 it didn't use seq_printf yet).  So now I have a `hardware'
file (in brcmsmac/bcma0:0/ subdir in debugfs), but not
macstat.  Here's the contents `hardware' one:

chipnum 0x4313
chiprev 0x1
chippackage 0x8
corerev 0x18
boardid 0x1795
boardvendor 0x103c
boardrev P107
boardflags 0x402201
boardflags2 0x884
ucoderev 0x262032c
radiorev 0x1
phytype 0x8
phyrev 0x1
anarev 0xa
nvramrev 8

Since there's no macstats, I guess it is not very useful,
so before digging for too deep, I ask which kernel do you
want me to try here.

Thanks,

/mjt